require 'spec_helper'

describe TerminologyIdentifier do
  fixtures :terminology_identifiers

  before(:each) do
    @valid_attributes = {
      :vsab => "SNOMED-CT",
      :authority => "openEHR 2003",
      :source_name => "SNOMED International Clinical Terms, 2002"
    }
  end

  it "should create a new instance given valid attributes" do
    TerminologyIdentifier.create!(@valid_attributes)
  end

  it 'should return true if vsab is on the table' do
    TerminologyIdentifier.should have_vsab 'AIR93'
  end

  it 'should not return true if vsab is out of the table' do
    TerminologyIdentifier.should_not have_vsab 'ZZZZZZZ'
  end
end
